%define upstream_name MooX-Lsub
%define upstream_version 0.002000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Very shorthand syntax for bulk lazy builders
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
I often want to use a lot of lazy build subs to implement some plumbing,
with scope to allow it to be overridden by people who know what they're
doing with an injection library like Bread::Board.

Usually, the syntax of "Class::Tiny" is what I use for such things.

  use Class::Tiny {
    'a' => sub { },
    'b' => sub { },
  };

Etc.

But switching things to Moo means I usually have to get much uglier, and
repeat myself a *lot*.

So this module exists as a compromise.

Additionally, I always forgot to declare "use Moo 1.000008" which was
the first version of "Moo" where "builder => sub" worked, and I would
invariably get silly test failures in smokers as a consequence.

This module avoids such problem entirely, and is tested to work with
"Moo 0.009001".

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-6.mga6
+ Revision: 1030720
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-5.mga6
+ Revision: 949277
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 789474
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 740401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 685498
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 669931
- update to 0.002000

* Sun Aug 17 2014 sander85 <sander85> 0.1.3-1.mga5
+ Revision: 664724
- imported package perl-MooX-Lsub

